Spore doesn’t support MacBooks made before 2007

By Patrick Garratt, Monday, 8 September 2008 17:15 GMT


We’ll put this down to being “unfortunate.” According to this GhostRazor story, Spore will only run on MacBooks made post-2007.

Before then, Apple was making Macbooks with the GMA 950 graphics card embedded, after which it was upgraded to the GMA X3100.

Spore explicitly does not support the GMA 950 on OSX: the best part of all this is that it’ll run on a pre-2007 MacBook using BootCamp and Windows.

No Macbook Pros have this issue, apparently.

Thanks, Destructoid.

Sometimes we include links to online retail stores. If you click on one and make a purchase we may receive a small commission. For more information, go here.